Subject: bug#8402: Acknowledgement (24.0.50; Hex colors are not rendered correctly on OS X (Cocoa))

From: Chong Yidong <[email-masked]>
Date: Sun, 10 Apr 2011 18:38:40 -0400

Steve Purcell <[email-masked]> writes:

> what's the color behavior on other window-systems? I haven't had the
> opportunity to compare. It does seem like your fix would be more
> likely to give the results a user would want.

On X, we just pass color names to Xlib functions like XParseColor as
simple RGB, i.e. not specifying any particular color space, letting that
be chosen by X.  I don't know how this choice is made; the Xlib docs
simply say that the color space is device-dependent.  In general, I
think we use whatever color space happens to be the system default.

I am not familiar with the code in question, but from what I can tell
the NS code always uses NSCalibratedRGBColorSpace, which indicates that
using colorWithCalibratedRed to specify RGB components ought to do the
right thing.  I don't know why it doesn't.